// Trans.cs
using System;
using System.IO;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;

public class Trans
{
	public static void Main()
	{
		String xmlFile = "Empl.xml";
		String xslFile = "Empl.xsl";
		String transOut = "Empl.htm";

		try
		{
			XslTransform xslt = new XslTransform();
			xslt.Load(xslFile);
			XPathDocument xpathDoc = new XPathDocument(xmlFile);
			XmlTextWriter xOut = new XmlTextWriter(transOut, null);
			xOut.Formatting = Formatting.Indented;
			xslt.Transform(xpathDoc, null, xOut);
			xOut.Close();
		}
		catch (Exception e)
		{
			Console.WriteLine("Exception: {0}", e.ToString());
		}
	}
}